<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>

    <link rel="stylesheet" href="{{ url_for('static', filename='css/admin_order.css') }}">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

</head>
<style>
  table td{
    width: 25%;
  }
  table tr th{
    text-align: center;
  }
  table tr td {
    text-align: center;
  }
</style>
<body>
  <div class="grid-container" style="margin-left: 10%;">
  <div>{% include 'sidebar.html' %}</div>
  <div class="container" style="width: 80%;height: 100%;overflow-y: auto;">
    
    <h2 style="text-align: center;margin-top:7%;">
      Update Status For Product
    </h2>

    <table class="table" style="margin-top:5%;">
      <thead class="thead-dark">
     
        <tr>
          <th scope="col">#</th>
          <th scope="col">Customer name</th>
          <th scope="col">Date</th>
          <th scope="col">TransCode</th>
          <th scope="col">Total</th>
          <th scope="col">Status</th>
          <th scope="col"></th>
        </tr>
   

      </thead>
      <tbody>
        {% for order in orders %}
        <tr>
          <th scope="row">{{ order.id }}</th>
          <td>{{ order.user.fullname }}</td>
          <td>{{ order.date }}</td>
          <td>{{ order.tran_code }}</td>
          <td>{{ order.total }}</td>
          <td>{{ order.status }}</td>
          <td>  
          <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal" data-bs-id="{{ order.id }}" data-bs-status="{{ order.status}}" data-bs-tran_code="{{ order.tran_code }}">
            Change Status
          </button>
        </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
    

  </div>




  <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Update</h5>
          <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form action="{{url_for('admin.update_order')}}" method="POST">
        <div class="modal-body">
          <div style="display: flex;justify-content: space-between;font-size: 18px;">
              Current TransCode :
              <div>
                <input type="text" name="tran_code" id="tran_code_inp" />
              </div>
            
          </div>
        <div style="display: flex;justify-content: center;margin-top: 5%;margin-bottom:5%;">
          <div class="form-check form-check-inline">
            <input class="form-check-input" type="radio" name="delivery_status" required id="packing" value="packing">
            <label class="form-check-label" for="packing">Packing</label>
          </div>
          <div class="form-check form-check-inline">
            <input class="form-check-input" type="radio" name="delivery_status" id="sending" value="sending">
            <label class="form-check-label" for="sending">Sending</label>
          </div>
          <div class="form-check form-check-inline">
            <input class="form-check-input" type="radio" name="delivery_status" id="complete" value="complete">
            <label class="form-check-label" for="complete">Complete</label>
          </div>
        </div>
        <input type="hidden" name="order_id" id="order_id_inp" />
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-success">Save</button>
        </div>
        </div>
      </form>
        </div>
     
      </div>
    </div>
  </div>













</body>
</html>
<script>
  var exampleModal = document.getElementById('exampleModal')
  exampleModal.addEventListener('show.bs.modal', function (event) {
    console.log("test")
    // Button that triggered the modal
    var button = event.relatedTarget
    // Extract info from data-bs-* attributes
    var id = button.getAttribute('data-bs-id')
    var tran_code = button.getAttribute('data-bs-tran_code')
    var status = button.getAttribute('data-bs-status')
    // If necessary, you could initiate an AJAX request here
    // and then do the updating in a callback.
    //
    // Update the modal's content.
    document.getElementById("tran_code_inp").value = tran_code
    document.getElementById(status).checked = true;
    document.getElementById("order_id_inp").value = id;
    
})

</script>

